package com.basic.eyflutter_core.subscribe;

import android.content.Context;

import com.basic.eyflutter_core.beans.DeviceResponse;
import com.basic.eyflutter_core.beans.TelephoneInfo;
import com.basic.eyflutter_core.channel.OnDistributionSubscribe;
import com.basic.eyflutter_core.device.DeviceHelper;
import com.basic.eyflutter_core.device.MacHelper;
import com.basic.eyflutter_core.device.TelephoneHelper;
import com.cloud.eyutils.utils.JsonUtils;

import java.util.HashMap;

import io.flutter.plugin.common.MethodChannel;

public class DeviceSubscribe extends OnDistributionSubscribe {

    private Context applicationContext;

    public DeviceSubscribe(Context context) {
        this.applicationContext = context;
    }

    @Override
    public void onSubscribe(MethodChannel.Result result, HashMap<String, Object> arguments) {
        TelephoneHelper helper = new TelephoneHelper();
        TelephoneInfo telInfo = helper.getTelInfo(applicationContext);
        DeviceHelper deviceHelper = new DeviceHelper();
        MacHelper macHelper = new MacHelper();
        String mac = macHelper.getMacAddress(applicationContext);
        String androidId = deviceHelper.getAndroidId(applicationContext);
        String deviceId = deviceHelper.getDeviceId(applicationContext, telInfo, androidId);
        DeviceResponse response = deviceHelper.getSysDeviceInfo(applicationContext, deviceId, androidId);
        response.setImei(telInfo.getImei());
        response.setMac(mac);
        result.success(JsonUtils.toJson(response));
    }
}
