import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:eyflutter_core_example/configuration/application_config.dart';
import 'package:eyflutter_core_example/pages/multi_lang_page.dart';
import 'package:eyflutter_core_example/pages/net_page.dart';
import 'package:eyflutter_core_example/pages/parts_page.dart';
import 'package:eyflutter_core_example/pages/permission_apply_page.dart';
import 'package:eyflutter_core_example/pages/storage_page.dart';
import 'package:flutter/material.dart';

class Home extends StatefulWidget {
  const Home({Key? key}) : super(key: key);

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  @override
  void initState() {
    super.initState();
    EyFlutter.instance.regAppConfig(ApplicationConfig());
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('eyflutter demo'),
      ),
      body: ConstListView(
        itemCount: 20,
        itemExtent: 50,
        buttons: [
          ConstButton(
            text: "网络请求",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const NetPage());
            },
          ),
          ConstButton(
            text: "多语言插件",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const MultiLangPage());
            },
          ),
          ConstButton(
            text: "存储",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const StoragePage());
            },
          ),
          ConstButton(
            text: "获取应用信息",
            onLongPress: () {
              EyFlutter.instance.appConfig?.appInfo().then((value) {
                Logger.instance.info(value.toJson());
              });
            },
          ),
          ConstButton(
            text: "其它功能组件",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const PartsPage());
            },
          ),
          ConstButton(
            text: "权限申请",
            onLongPress: () {
              ConstNavigator.go(context: context, target: const PermissionApplyPage());
            },
          )
        ],
      ),
    );
  }
}
