import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:flutter/material.dart';

class MultiLangPage extends StatefulWidget {
  const MultiLangPage({Key? key}) : super(key: key);

  @override
  _MultiLangPageState createState() => _MultiLangPageState();
}

class _MultiLangPageState extends State<MultiLangPage> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text("多语言插件"),
        ),
        body: ConstListView(
          itemCount: 20,
          itemExtent: 50,
          buttons: [
            ConstButton(
              text: "获取语言包(下载并缓存：本地与内存缓存)",
              onLongPress: getLangPackage,
            ),
            ConstButton(
              text: "获取语言单元数据",
              onLongPress: getLangUnitData,
            )
          ],
        ),
      ),
      top: false,
    );
  }

  void getLangUnitData() {
    MmkvUtils.instance.getString("about_instant").then((value) {
      Logger.instance.info(value);
    });
  }

  void getLangPackage() {
    LangManager.instance.langPackage.then((value) {
      Logger.instance.info(value);
    });
  }
}
