import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:flutter/material.dart';

class PermissionApplyPage extends StatefulWidget {
  const PermissionApplyPage({Key? key}) : super(key: key);

  @override
  _PermissionApplyPageState createState() => _PermissionApplyPageState();
}

class _PermissionApplyPageState extends State<PermissionApplyPage> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('权限申请'),
        ),
        body: ConstListView(
          itemCount: 20,
          itemExtent: 50,
          buttons: [
            ConstButton(
              text: "存储权限",
              onLongPress: applyStoragePermission,
            ),
          ],
        ),
      ),
      top: false,
    );
  }

  void applyStoragePermission() {
    PermissionUtils.instance.apply(
      prompt: "易由信息需要申请存储权限保存文件",
      permissions: Permissions.photoAndCamera,
      permissionCall: (bool granted) {
        Logger.instance.info("授权状态：$granted");
      },
    );
  }
}
