import 'package:eyflutter_core/eyflutter_core.dart';
import 'package:flutter/material.dart';

class StoragePage extends StatefulWidget {
  const StoragePage({Key? key}) : super(key: key);

  @override
  _StoragePageState createState() => _StoragePageState();
}

class _StoragePageState extends State<StoragePage> {
  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('存储'),
        ),
        body: ConstListView(
          itemCount: 20,
          itemExtent: 50,
          buttons: [
            ConstButton(
              text: "缓存MMKV值",
              onLongPress: cacheMmkvValue,
            ),
            ConstButton(
              text: "获取MMKV值",
              onLongPress: getMmkvValue,
            ),
            ConstButton(
              text: "同步获取MMKV",
              onLongPress: syncGetMmkvValue,
            )
          ],
        ),
      ),
      top: false,
    );
  }

  void cacheMmkvValue() {
    MmkvUtils.instance.putString("eykey_string", value: "缓存了string");
  }

  void getMmkvValue() {
    MmkvUtils.instance.getString("eykey_string").then((value) {
      Logger.instance.info(value);
    });
  }

  void syncGetMmkvValue() {
    var future = MmkvUtils.instance.getString("eykey_string");
    Logger.instance.info("mmkv test value");
  }
}
