import 'package:eyflutter_core/eyflutter_core.dart';

/// Author lijinghuan
/// Email:ljh0576123@163.com
/// CreateTime:2022-04-08
/// Description:Generated file. Do not edit.
/// Modifier:
/// ModifyContent:

class AndroidDeviceInfo {
  /// 设备号
  String deviceId;

  /// 设备名称
  String deviceName;

  /// 手机的身份证号，包含手机产地、厂商等信息，可用于识别手机真伪;
  String imei;

  /// 网络mac地址
  String mac;

  /// 品牌
  String brand;

  /// 系统版本
  String sysVersion;

  /// 内核版本,手机的硬件（如主板，GPS，摄像头，WIFI，蓝牙等）驱动集合体的版本号
  String kernelVersion;

  /// 设备型号
  String model;

  /// 硬件名称
  String hardware;

  /// cpu核心数
  String cpuCoreNum;

  /// android id
  String androidId;

  /// 屏幕分辨率(e.g. 720x1920)
  String resolution;

  /// 屏幕像素密度(e.g. 400dp)
  String density;

  /// 存储大小
  String storageSize;

  /// 运行内存
  String runMemory;

  /// 厂商
  String manufacturer;

  /// 局域网ip地址
  String ip;

  /// 主机
  String host;

  /// cpu架构
  String abis;

  /// 设备基板名称
  String board;

  /// 设备是否被root
  String isRoot;

  /// 是否运行在模拟器上
  String isSimulator;

  AndroidDeviceInfo({this.deviceId = '',this.deviceName = '',this.imei = '',this.mac = '',this.brand = '',this.sysVersion = '',this.kernelVersion = '',this.model = '',this.hardware = '',this.cpuCoreNum = '',this.androidId = '',this.resolution = '',this.density = '',this.storageSize = '',this.runMemory = '',this.manufacturer = '',this.ip = '',this.host = '',this.abis = '',this.board = '',this.isRoot = '',this.isSimulator = '', Map<String, dynamic>? json});

  factory AndroidDeviceInfo.fromJson(Map<String,dynamic> json) => _$AndroidDeviceInfoFromJson(json);

  Map<String,dynamic> toJson() => _$AndroidDeviceInfoToJson(this);
}

AndroidDeviceInfo _$AndroidDeviceInfoFromJson(Map<String, dynamic> json) {
  return AndroidDeviceInfo(
      deviceId:(json['deviceId'] is String)?((json['deviceId'] ?? '') as String):'',
      deviceName:(json['deviceName'] is String)?((json['deviceName'] ?? '') as String):'',
      imei:(json['imei'] is String)?((json['imei'] ?? '') as String):'',
      mac:(json['mac'] is String)?((json['mac'] ?? '') as String):'',
      brand:(json['brand'] is String)?((json['brand'] ?? '') as String):'',
      sysVersion:(json['sysVersion'] is String)?((json['sysVersion'] ?? '') as String):'',
      kernelVersion:(json['kernelVersion'] is String)?((json['kernelVersion'] ?? '') as String):'',
      model:(json['model'] is String)?((json['model'] ?? '') as String):'',
      hardware:(json['hardware'] is String)?((json['hardware'] ?? '') as String):'',
      cpuCoreNum:(json['cpuCoreNum'] is String)?((json['cpuCoreNum'] ?? '') as String):'',
      androidId:(json['androidId'] is String)?((json['androidId'] ?? '') as String):'',
      resolution:(json['resolution'] is String)?((json['resolution'] ?? '') as String):'',
      density:(json['density'] is String)?((json['density'] ?? '') as String):'',
      storageSize:(json['storageSize'] is String)?((json['storageSize'] ?? '') as String):'',
      runMemory:(json['runMemory'] is String)?((json['runMemory'] ?? '') as String):'',
      manufacturer:(json['manufacturer'] is String)?((json['manufacturer'] ?? '') as String):'',
      ip:(json['ip'] is String)?((json['ip'] ?? '') as String):'',
      host:(json['host'] is String)?((json['host'] ?? '') as String):'',
      abis:(json['abis'] is String)?((json['abis'] ?? '') as String):'',
      board:(json['board'] is String)?((json['board'] ?? '') as String):'',
      isRoot:(json['isRoot'] is String)?((json['isRoot'] ?? '') as String):'',
      isSimulator:(json['isSimulator'] is String)?((json['isSimulator'] ?? '') as String):'', json: json);
}

Map<String, dynamic> _$AndroidDeviceInfoToJson(AndroidDeviceInfo instance) {
  final val = <String, dynamic>{};
  val['deviceId'] = instance.deviceId;
  val['deviceName'] = instance.deviceName;
  val['imei'] = instance.imei;
  val['mac'] = instance.mac;
  val['brand'] = instance.brand;
  val['sysVersion'] = instance.sysVersion;
  val['kernelVersion'] = instance.kernelVersion;
  val['model'] = instance.model;
  val['hardware'] = instance.hardware;
  val['cpuCoreNum'] = instance.cpuCoreNum;
  val['androidId'] = instance.androidId;
  val['resolution'] = instance.resolution;
  val['density'] = instance.density;
  val['storageSize'] = instance.storageSize;
  val['runMemory'] = instance.runMemory;
  val['manufacturer'] = instance.manufacturer;
  val['ip'] = instance.ip;
  val['host'] = instance.host;
  val['abis'] = instance.abis;
  val['board'] = instance.board;
  val['isRoot'] = instance.isRoot;
  val['isSimulator'] = instance.isSimulator;
  return val;
}

//define_fields:{"AndroidDeviceInfo": {"dart_file_name": {"name": "android_device_info", "type": "", "subType": "object", "childClassName": "", "defaultValue": "", "describe": ""}, "deviceId": {"name": "deviceId", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8bbe\u5907\u53f7"}, "deviceName": {"name": "deviceName", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8bbe\u5907\u540d\u79f0"}, "imei": {"name": "imei", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u624b\u673a\u7684\u8eab\u4efd\u8bc1\u53f7\uff0c\u5305\u542b\u624b\u673a\u4ea7\u5730\u3001\u5382\u5546\u7b49\u4fe1\u606f\uff0c\u53ef\u7528\u4e8e\u8bc6\u522b\u624b\u673a\u771f\u4f2a;"}, "mac": {"name": "mac", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u7f51\u7edcmac\u5730\u5740"}, "brand": {"name": "brand", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u54c1\u724c"}, "sysVersion": {"name": "sysVersion", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u7cfb\u7edf\u7248\u672c"}, "kernelVersion": {"name": "kernelVersion", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5185\u6838\u7248\u672c,\u624b\u673a\u7684\u786c\u4ef6\uff08\u5982\u4e3b\u677f\uff0cGPS\uff0c\u6444\u50cf\u5934\uff0cWIFI\uff0c\u84dd\u7259\u7b49\uff09\u9a71\u52a8\u96c6\u5408\u4f53\u7684\u7248\u672c\u53f7"}, "model": {"name": "model", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8bbe\u5907\u578b\u53f7"}, "hardware": {"name": "hardware", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u786c\u4ef6\u540d\u79f0"}, "cpuCoreNum": {"name": "cpuCoreNum", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "cpu\u6838\u5fc3\u6570"}, "androidId": {"name": "androidId", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "android id"}, "resolution": {"name": "resolution", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5c4f\u5e55\u5206\u8fa8\u7387(e.g. 720x1920)"}, "density": {"name": "density", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5c4f\u5e55\u50cf\u7d20\u5bc6\u5ea6(e.g. 400dp)"}, "storageSize": {"name": "storageSize", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5b58\u50a8\u5927\u5c0f"}, "runMemory": {"name": "runMemory", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8fd0\u884c\u5185\u5b58"}, "manufacturer": {"name": "manufacturer", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5382\u5546"}, "ip": {"name": "ip", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5c40\u57df\u7f51ip\u5730\u5740"}, "host": {"name": "host", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u4e3b\u673a"}, "abis": {"name": "abis", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "cpu\u67b6\u6784"}, "board": {"name": "board", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8bbe\u5907\u57fa\u677f\u540d\u79f0"}, "isRoot": {"name": "isRoot", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8bbe\u5907\u662f\u5426\u88abroot"}, "isSimulator": {"name": "isSimulator", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u662f\u5426\u8fd0\u884c\u5728\u6a21\u62df\u5668\u4e0a"}}}