import 'package:eyflutter_core/eyflutter_core.dart';

/// Author lijinghuan
/// Email:ljh0576123@163.com
/// CreateTime:2022-04-08
/// Description:Generated file. Do not edit.
/// Modifier:
/// ModifyContent:

class DeviceInfo {
  /// 设备号
  String deviceId;

  /// 设备类型必须是:1-android 2-ios 3-mac 4-windows
  int deviceType;

  /// 厂商
  String manufacturer;

  /// 品牌
  String brand;

  /// 型号
  String model;

  /// 主板名称
  String board;

  /// 硬件名称
  String hardware;

  /// 主机
  String host;

  /// 显示器大小
  String display;

  /// 屏幕密度
  String density;

  /// 系统
  String sys;

  /// abis
  String abis;

  /// 是否root设备
  bool root;

  /// 是否模拟器
  bool simulator;

  /// 扩展参数
  String extension;

  DeviceInfo({this.deviceId = '',this.deviceType = 0,this.manufacturer = '',this.brand = '',this.model = '',this.board = '',this.hardware = '',this.host = '',this.display = '',this.density = '',this.sys = '',this.abis = '',this.root = false,this.simulator = false,this.extension = '', Map<String, dynamic>? json});

  factory DeviceInfo.fromJson(Map<String,dynamic> json) => _$DeviceInfoFromJson(json);

  Map<String,dynamic> toJson() => _$DeviceInfoToJson(this);
}

DeviceInfo _$DeviceInfoFromJson(Map<String, dynamic> json) {
  return DeviceInfo(
      deviceId:(json['deviceId'] is String)?((json['deviceId'] ?? '') as String):'',
      deviceType:(json['deviceType'] is String)?("${json['deviceType']}".toInt):((json['deviceType'] ?? 0) as num).toNumInt,
      manufacturer:(json['manufacturer'] is String)?((json['manufacturer'] ?? '') as String):'',
      brand:(json['brand'] is String)?((json['brand'] ?? '') as String):'',
      model:(json['model'] is String)?((json['model'] ?? '') as String):'',
      board:(json['board'] is String)?((json['board'] ?? '') as String):'',
      hardware:(json['hardware'] is String)?((json['hardware'] ?? '') as String):'',
      host:(json['host'] is String)?((json['host'] ?? '') as String):'',
      display:(json['display'] is String)?((json['display'] ?? '') as String):'',
      density:(json['density'] is String)?((json['density'] ?? '') as String):'',
      sys:(json['sys'] is String)?((json['sys'] ?? '') as String):'',
      abis:(json['abis'] is String)?((json['abis'] ?? '') as String):'',
      root:(json['root'] is String)?("${json['root']}").isTrue:(json['root'] ?? false) as bool,
      simulator:(json['simulator'] is String)?("${json['simulator']}").isTrue:(json['simulator'] ?? false) as bool,
      extension:(json['extension'] is String)?((json['extension'] ?? '') as String):'', json: json);
}

Map<String, dynamic> _$DeviceInfoToJson(DeviceInfo instance) {
  final val = <String, dynamic>{};
  val['deviceId'] = instance.deviceId;
  val['deviceType'] = instance.deviceType;
  val['manufacturer'] = instance.manufacturer;
  val['brand'] = instance.brand;
  val['model'] = instance.model;
  val['board'] = instance.board;
  val['hardware'] = instance.hardware;
  val['host'] = instance.host;
  val['display'] = instance.display;
  val['density'] = instance.density;
  val['sys'] = instance.sys;
  val['abis'] = instance.abis;
  val['root'] = instance.root;
  val['simulator'] = instance.simulator;
  val['extension'] = instance.extension;
  return val;
}

//define_fields:{"DeviceInfo": {"dart_file_name": {"name": "device_info", "type": "", "subType": "object", "childClassName": "", "defaultValue": "", "describe": ""}, "deviceId": {"name": "deviceId", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u8bbe\u5907\u53f7"}, "deviceType": {"name": "deviceType", "type": "int", "subType": "", "childClassName": "", "defaultValue": 0, "describe": "\u8bbe\u5907\u7c7b\u578b\u5fc5\u987b\u662f:1-android 2-ios 3-mac 4-windows"}, "manufacturer": {"name": "manufacturer", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5382\u5546"}, "brand": {"name": "brand", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u54c1\u724c"}, "model": {"name": "model", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u578b\u53f7"}, "board": {"name": "board", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u4e3b\u677f\u540d\u79f0"}, "hardware": {"name": "hardware", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u786c\u4ef6\u540d\u79f0"}, "host": {"name": "host", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u4e3b\u673a"}, "display": {"name": "display", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u663e\u793a\u5668\u5927\u5c0f"}, "density": {"name": "density", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u5c4f\u5e55\u5bc6\u5ea6"}, "sys": {"name": "sys", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u7cfb\u7edf"}, "abis": {"name": "abis", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "abis"}, "root": {"name": "root", "type": "bool", "subType": "", "childClassName": "", "defaultValue": false, "describe": "\u662f\u5426root\u8bbe\u5907"}, "simulator": {"name": "simulator", "type": "bool", "subType": "", "childClassName": "", "defaultValue": false, "describe": "\u662f\u5426\u6a21\u62df\u5668"}, "extension": {"name": "extension", "type": "string", "subType": "", "childClassName": "", "defaultValue": "", "describe": "\u6269\u5c55\u53c2\u6570"}}}