import 'package:eyflutter_core/kit/utils/set/list_extention.dart';
import 'package:eyflutter_core/mq/cloud_channel_manager.dart';

typedef OnPermissionCall = void Function(bool granted);

/// 权限工具
class PermissionUtils {
  factory PermissionUtils() => _getInstance();

  static PermissionUtils get instance => _getInstance();
  static PermissionUtils? _instance;

  static PermissionUtils _getInstance() {
    return _instance ??= new PermissionUtils._internal();
  }

  PermissionUtils._internal();

  String _permissionApply = "dad4a1da5f51885a";

  /// 申请权限
  /// (Android权限需要集成eyflutter_uikit插件)
  /// [prompt] 没有权限时提醒内容
  void apply({
    required String prompt,
    required List<String> permissions,
    required OnPermissionCall permissionCall,
  }) {
    if (permissions.isEmptyList) {
      permissionCall(true);
      return;
    }
    CloudChannelManager.instance.send<bool>(_permissionApply, arguments: {
      "prompt": prompt,
      "permissions": permissions,
    }).then((granted) {
      permissionCall(granted ?? false);
    }, onError: (e) {
      permissionCall(false);
    });
  }
}
