import 'dart:io';

class _AndroidPermission {
  /// 读取外部存储
  static String get readExternalStorage => "android.permission.READ_EXTERNAL_STORAGE";

  /// 写入外部存储
  static String get writeExternalStorage => "android.permission.WRITE_EXTERNAL_STORAGE";

  /// 相机
  static String get camera => "android.permission.CAMERA";

  /// 媒体
  static String get accessMediaLocation => "android.permission.ACCESS_MEDIA_LOCATION";
}

class _IOSPermission {
  /// 使用相机
  static String get cameraUse => "hasCameraAuthorization";

  /// 使用相册
  static String get photoLibraryUse => "hasPhotoAuthorization";

  /// 使用定位
  static String get locationUse => "hasLocationAuthorization";
}

class Permissions {
  /// 存储权限
  static List<String> get storage =>
      Platform.isAndroid ? [_AndroidPermission.readExternalStorage, _AndroidPermission.writeExternalStorage] : [];

  /// 相册相机权限
  static List<String> get photoAndCamera =>
      Platform.isAndroid ? [_AndroidPermission.camera] : [_IOSPermission.cameraUse, _IOSPermission.photoLibraryUse];

  /// 定位权限
  static List<String> get locations =>
      Platform.isAndroid ? [_AndroidPermission.accessMediaLocation] : [_IOSPermission.locationUse];
}
