/// dio请求拦截器
mixin OnRequestInterceptor {
  /// 响应状态码字段名
  String codeKey() {
    return "code";
  }

  String countKey() {
    return "count";
  }

  /// 判断是否首页字段名
  String isFirstPageKey() {
    return "isFirstPage";
  }

  /// 判断是否包含下一页字段名
  String hasNextPageKey() {
    return "hasNextPage";
  }

  /// api请求成功返回code码
  List<int> successCode() {
    return [0, 200];
  }

  /// 响应消息字段名
  String msgKey() {
    return "msg";
  }
}

/// dio请求信息拦截,在网络请求时追加对应的信息.
mixin OnRequestInfoInterceptor {
  /// 全局请求头信息(可选)
  Map<String, String>? onRequestHeaders();

  /// 全局请求参数(可选)
  Map<String, dynamic>? onRequestParams() {}
}

/// dio响应数据拦截
/// onResponseMap与onResponseString回调互斥,根据请求方式决定回写对应数据对象.
mixin OnResponseInterceptor {
  /// 响应数据map
  void onResponseMap(Map<String, dynamic> dataMap);

  /// api数据回写
  void onResponseString(String data) {}
}
