import 'package:eyflutter_core/dio/beans/application_info.dart';
import 'package:eyflutter_core/ey_flutter.dart';

mixin OnEyFlutterConfig {
  /// 获取app key
  String get appKey;

  /// 应用配置url
  /// 通过CDN加速缓存的文件地址
  String configUrl();

  /// 路由协议
  String get scheme;

  /// 路由用户名
  String get schemeUser;

  /// 路由主机名
  String get schemeHost;

  /// 应用信息
  Future<ApplicationInfo> appInfo() {
    return EyFlutter.instance.getAppInfo();
  }

  /// 当前环境(可以手动修改，最好打包时由jenkins替换)
  String get environment;
}
