import 'dart:async';

class TimingCount {
  Timer? _timer;

  //以下单位按毫秒计
  int _secondUnit = 1000;
  int _minuteUnit = 60000;
  int _hourUnit = 3600000;
  int _dayUnit = 86400000;

  int _restOfTime = 0;

  void start(void Function(int days, int hours, int minutes, int seconds) callback) {
    stop();
    _restOfTime = 0;
    _timer = Timer.periodic(const Duration(seconds: 1), (timer) {
      _restOfTime += 1000;
      int diff = _restOfTime;
      int days = diff ~/ _dayUnit;
      diff = diff - days * _dayUnit;
      int hours = diff ~/ _hourUnit;
      diff = diff - hours * _hourUnit;
      int minute = diff ~/ _minuteUnit;
      diff = diff - minute * _minuteUnit;
      int second = diff ~/ _secondUnit;
      callback(days, hours, minute, second);
    });
  }

  void stop() {
    if (_timer?.isActive ?? false) {
      _timer?.cancel();
    }
    _timer = null;
  }

  /// 持续时间
  int get duration => _restOfTime;
}
