extension ListUtilsExtension<E> on Iterable<E>? {
  /// 判断list是否为空
  bool get isEmptyList {
    return this?.isEmpty ?? true;
  }

  bool get isNotEmptyList {
    return !this.isEmptyList;
  }

  /// 判断列表是否包含有空值
  bool get hasEmptyElement {
    if (this.isEmptyList) {
      return true;
    }
    return this?.contains("") ?? true;
  }

  /// 复制列表数据
  List<E> get copy {
    List<E> copyList = [];
    this?.forEach((E element) {
      copyList.add(element);
    });
    return copyList;
  }

  /// 偏历迭代数据
  void forEachEle(void action(int index, E element)) {
    int position = 0;
    this?.forEach((element) {
      action(position, element);
      position++;
    });
  }
}
