import 'dart:collection';

import 'package:flutter/material.dart';

class CusChangeNotifier extends ChangeNotifier {
  static Map<int, Function> notifyListenersMap = {};
  static Set<int> executeStateSet = HashSet();

  CusChangeNotifier() {
    notifyListenersMap[hashCode] = notifyListeners;
    if (!executeStateSet.contains(hashCode)) {
      executeStateSet.add(hashCode);
    }
  }

  void notifierLazy() {
    var notifyObj = notifyListenersMap[hashCode];
    if (notifyObj != null) {
      notifyObj();
    }
  }

  @override
  void dispose() {
    notifyListenersMap.remove(hashCode);
    executeStateSet.remove(hashCode);
    super.dispose();
  }
}
